Bug 18646 - Reading formula cells causes [WARNING] Unknown Ptg 2 (2) at cell (3,0)
Summary: Reading formula cells causes [WARNING] Unknown Ptg 2 (2) at cell (3,0)
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: PC All
: P3 normal with 1 vote (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-03 09:40 UTC by Gerhard Kunisch
Modified: 2005-03-20 17:06 UTC (History)
0 users



Attachments
Test-Sheet, to reproduce the error (14.00 KB, application/octet-stream)
2003-04-03 11:41 UTC, Gerhard Kunisch
Details
Parser to read the file and write it to stdout (3.42 KB, text/plain)
2003-04-03 11:42 UTC, Gerhard Kunisch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Kunisch 2003-04-03 09:40:37 UTC
Hello,

just want to extract data from an excel spreadsheet using POI version 1.10.0-dev
When parsing a formula cell containing =(if(isempty(B4);1;0)) the warning:
[WARNING] Unknown Ptg 2 (2) at cell (3,0)
is send to stdout.
Applying the line
System.out.println("Cell("+columnNumber+"/"+rowNumber+") contains formula: " + 
cell.getCellFormula() + " string representation " + cell.getStringCellValue());

Cell(0/3) contains formula: #NAME string representation null.

I use the German version of Excel 95.
Comment 1 Gerhard Kunisch 2003-04-03 11:41:19 UTC
Created attachment 5621 [details]
Test-Sheet, to reproduce the error
Comment 2 Gerhard Kunisch 2003-04-03 11:42:50 UTC
Created attachment 5622 [details]
Parser to read the file and write it to stdout
Comment 3 Danny Mui 2003-05-08 00:22:01 UTC
A fix for FuncPtg was committed and fixed this issue.  Please verify and thanks
for your bug report.